%define repoid  43722

Name:           podcatcher
Version:        3.1.4
Release:        4%{?dist}
Summary:        Armangil's podcatcher 

Group:          Applications/Internet

License:        GPL+
URL:            http://podcatcher.rubyforge.org/
Source0:        http://rubyforge.org/frs/download.php/%{repoid}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       ruby >= 1.8.2

%description

Armangil's podcatcher is a podcast client for the command line. It provides 
several download strategies (new shows only, back-catalog allowed, etc), offers 
cache management, supports BitTorrent, and generates playlists for media player
applications.

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -p -D bin/podcatcher $RPM_BUILD_ROOT/%{_bindir}/podcatcher

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc demo/
%doc README.txt
%{_bindir}/podcatcher

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 5 2009 Christof Damian <christof@damian.net> 3.1.4-3
- add repoid for download link and use name macro too
- removed unused macros

* Thu Jan 1 2009 Christof Damian <christof@damian.net> 3.1.4-2
- fixed some problems in the spec file

* Fri Dec 26 2008 Christof Damian <christof@damian.net> 3.1.4-1
- initial rpm
